List all user passkeys
curl --request GET \
--url https://{projectId}.frontendapi.corbado.io/v2/me/passkeys \
--header 'Authorization: Bearer <token>'import requests
url = "https://{projectId}.frontendapi.corbado.io/v2/me/passkeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectId}.frontendapi.corbado.io/v2/me/passkeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"passkeys": [
{
"id": "cre-12345",
"credentialID": "<string>",
"attestationType": "<string>",
"transport": [],
"backupEligible": true,
"backupState": true,
"authenticatorAAGUID": "<string>",
"sourceOS": "<string>",
"sourceBrowser": "<string>",
"lastUsed": "<string>",
"created": "<string>",
"aaguidDetails": {
"name": "<string>",
"iconLight": "<string>",
"iconDark": "<string>"
},
"createdMs": 123,
"lastUsedMs": 123,
"tags": [
"<string>"
]
}
],
"paging": {
"page": 1,
"totalPages": 123,
"totalItems": 123
}
}Users
List all user passkeys
Returns a list of passkeys for the currently logged in user.
GET
/
v2
/
me
/
passkeys
List all user passkeys
Authorizations
bearerAuthprojectID
After a user logs in successfully, a session is created and a JWT token is returned.
This token represents the user's authenticated session.
It must be included in the Authorization header as a Bearer token for all protected endpoints:
Authorization: Bearer <your-token>
The server will validate this token to authorize access.
Was this page helpful?
⌘I